// Router Plate Insert
// Gary Liming Summer 2017
BitDiameter = .500;        // zero = no hole
LipDepth = .090;           // 
OuterDiameter = 2.25;      // overall diameter
RimDiameter = 2.00;
OverallThickness = .300;   // how deep of an insert

if (BitDiameter == 0) {
  union() {
    cylinder(h=LipDepth, r=OuterDiameter, $fn=250);
    cylinder(h=OverallThickness, r=RimDiameter, $fn=250);
  }
} else {
 difference() {   
   union() {
     cylinder(h=LipDepth, r=OuterDiameter, $fn=250);
     cylinder(h=OverallThickness, r=RimDiameter, $fn=250);
   }
  cylinder (h=OverallThickness, r= BitDiameter, $fn=250);    
  }
 }